MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030091Community[OCCT] OCCT:Configurationpublic2018-08-28 17:292018-09-09 13:05
Reporterttamttam 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSDebianOS Version9
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030091: Configuration - allow cross-compilation from Linux (case sensitive filesystem) to x86_64-w64-mingw32
DescriptionI needed to adapt uppercases and lowercases because I'm compiling on a case sensitive file system.
Steps To Reproducecmake /path/to/opencascade-7.3.0 \
 -DCMAKE_TOOLCHAIN_FILE=./toolchain-mingw \
 -DINSTALL_DIR:PATH="/path/to/opencascade-7.3.0-mingw-install" \
 -DINSTALL_DIR_BIN:PATH="bin" \
 -DBUILD_MODULE_ApplicationFramework:BOOL="0" \
 -DBUILD_MODULE_Draw:BOOL="0" \
 -DBUILD_MODULE_Visualization:BOOL="0"
Additional information
and documentation updates
$ cat toolchain-mingw
# the name of the target operating system
SET(CMAKE_SYSTEM_NAME Windows)
SET(COMPILER_PREFIX "x86_64-w64-mingw32")

# which compilers to use for C and C++
find_program(CMAKE_C_COMPILER NAMES ${COMPILER_PREFIX}-gcc)
find_program(CMAKE_CXX_COMPILER NAMES ${COMPILER_PREFIX}-g++)
find_program(CMAKE_RC_COMPILER NAMES ${COMPILER_PREFIX}-windres)

# here is the target environment located
SET(USER_ROOT_PATH /home/matt/projets/mingw)
SET(CMAKE_FIND_ROOT_PATH /usr/${COMPILER_PREFIX} ${USER_ROOT_PATH})

# adjust the default behaviour of the FIND_XXX() commands:
# search headers and libraries in the target environment, search
# programs in the host environment
set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
TagsNo tags attached.
Test case numberNot needed
Attached Filespatch file icon mingw32-cross-compilation.patch (16,395 bytes) 2018-08-28 17:29

- Relationships
related to 0027197closedabv Open CASCADE Configuration - fix compilation issues when using mingw 

-  Notes
(0079022)
git (administrator)
2018-09-06 19:13

Branch CR30091 has been created by abv.

SHA-1: 6c00fbc0ae66d278a1a2ea6029f15ca56a518101


Detailed log of new commits:

Author: abv
Date: Thu Sep 6 18:59:19 2018 +0300

    0030091: Patch needed to allow cross-compilation from linux (case sensitive filesystem) to x86_64-w64-mingw32
    
    Names of Windows header files are corrected to be lower case to match their actual names on Windows (except Windows.h) and MinGW.
    Files COMMANDWINDOW.h and MAINWINDOW.h in Draw package are renamed to CamelCase according to names of corresponding CXX files.
(0079023)
abv (manager)
2018-09-06 20:29

Fix pushed to branch CR30091, please review. Compilation is checked, see Jenkins job CR30091-master-abv
(0079033)
apn (administrator)
2018-09-07 12:20

Reviewed. Please proceed.
(0079044)
git (administrator)
2018-09-09 13:05

Branch CR30091 has been deleted by inv.

SHA-1: 6c00fbc0ae66d278a1a2ea6029f15ca56a518101

- Related Changesets
occt: master 5fecc495
Timestamp: 2018-09-06 15:59:19
Author: abv
Committer: bugmaster
Details ] Diff ]
0030091: Configuration - allow cross-compilation from Linux (case sensitive filesystem) to x86_64-w64-mingw32

Names of Windows header files are corrected to be lower case to match their actual names on Windows (except Windows.h) and MinGW.
Files COMMANDWINDOW.h and MAINWINDOW.h in Draw package are renamed to CamelCase according to names of corresponding CXX files.
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - src/Draw/CommandWindow.cxx Diff ] File ]
mod - src/Draw/FILES Diff ] File ]
mod - src/OSD/OSD.cxx Diff ] File ]
mod - src/OSD/OSD_Error.cxx Diff ] File ]
mod - src/OSD/OSD_File.cxx Diff ] File ]
mod - src/OSD/OSD_FileNode.cxx Diff ] File ]
mod - src/OSD/OSD_MemInfo.cxx Diff ] File ]
mod - src/OSD/OSD_Process.cxx Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/OSD/OSD_WNT.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-28 17:29 ttamttam New Issue
2018-08-28 17:29 ttamttam Assigned To => bugmaster
2018-08-28 17:29 ttamttam File Added: mingw32-cross-compilation.patch
2018-09-06 19:13 git Note Added: 0079022
2018-09-06 19:13 abv Assigned To bugmaster => abv
2018-09-06 19:13 abv Status new => assigned
2018-09-06 19:13 abv Target Version => 7.4.0*
2018-09-06 20:01 kgv Summary Patch needed to allow cross-compilation from linux (case sensitive filesystem) to x86_64-w64-mingw32 => Configuration - allow cross-compilation from Linux (case sensitive filesystem) to x86_64-w64-mingw32
2018-09-06 20:02 kgv Relationship added related to 0027197
2018-09-06 20:29 abv Note Added: 0079023
2018-09-06 20:29 abv Assigned To abv => apn
2018-09-06 20:29 abv Status assigned => resolved
2018-09-07 12:20 apn Test case number => Not needed
2018-09-07 12:20 apn Note Added: 0079033
2018-09-07 12:20 apn Assigned To apn => bugmaster
2018-09-07 12:20 apn Status resolved => reviewed
2018-09-09 11:52 bugmaster Changeset attached => occt master 5fecc495
2018-09-09 11:52 bugmaster Status reviewed => verified
2018-09-09 11:52 bugmaster Resolution open => fixed
2018-09-09 13:05 git Note Added: 0079044


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker